package edu.thi.phga.aparapi_test;
import com.aparapi.Kernel;

public class FindPrimesKernel extends Kernel {
  private int start;
  private boolean[] istPrime;

  public FindPrimesKernel(int start, boolean[] istPrime) {
    this.start = start;
    this.istPrime = istPrime;
  }

  @Override public void run() {
    int index = getGlobalId(0);
    int zahl = start + index * 2;
    int teiler = 3;

    while (teiler * teiler < zahl && zahl % teiler != 0) {
      teiler += 2;
    }

    istPrime[index] = zahl % teiler != 0;

  }
}
